package main

import (
	"go.wit.com/toolkits/tree"

	"go.wit.com/dev/andlabs/ui"
	_ "go.wit.com/dev/andlabs/ui/winmanifest"
)

func newLabel(p, n *tree.Node) {
	if notNew(n) {
		return
	}
	newt := new(guiWidget)
	c := ui.NewLabel(n.GetLabel())
	newt.uiLabel = c
	newt.uiControl = c

	n.TK = newt
	place(p, n)
}
